---
name: "getAiVisualReportList"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## getAiVisualReportList

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Query Vision Box report list

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `QueryGetAiVisualReportList` | Yes | - | Request body |

### Referenced Types

##### `type` QueryGetAiVisualReportList

| Property | Type | Description |
| --- | --- | --- |
| `gid` | `string` | Home gid |
| `visionBoxId` | `string` | Vision Cube ID |
| `offset` | `number` | Page offset |
| `limit` | `number` | Page size |

##### `enum` ReportType

| Enum Value | Actual Value | Description |
| --- | --- | --- |
| `ReportType.DAILY` | `1` | Daily report |
| `ReportType.WEEKLY` | `2` | Weekly report |

##### `interface` EventInfo

| Property | Type | Description |
| --- | --- | --- |
| `eventOrderValue` | `number` | Event sort value |
| `eventCode` | `string` | Event code |
| `eventName` | `string` | Event name |
| `eventNum` | `number` | Event count |
| `eventAverageNumPerDay` | `number` | Average daily event count (optional) |

##### `interface` RelatedFileList

| Property | Type | Description |
| --- | --- | --- |
| `bucket` | `string` | Storage bucket |
| `filePath` | `string` | File path |
| `signUrl` | `string` | Signed access URL |
| `uuid` | `string` | File UUID |


### Examples

#### Request example

```typescript
import { getAiVisualReportList } from '@tuya-miniapp/cloud-api';

getAiVisualReportList({
  gid: '194137',
  visionBoxId: 'vb-1',
  offset: 0,
  limit: 10,
})
  .then((list) => console.log(list))
  .catch(console.error);
```

#### Response example

```json
[
  {
    "visionBoxId": "vb-1",
    "modelName": "model-a",
    "reportId": "r1",
    "reportType": 1,
    "reportTitleName": "Daily Report",
    "summaryAndSuggestion": "",
    "detailTitle": "Details",
    "totalNumTitle": "Total Events",
    "reportState": 1,
    "reportStateName": "Completed"
  }
]
```
